precision mediump float;       	// Set the default precision to medium. We don't need as high of a 
								// precision in the fragment shader.

uniform int u_ObjType;			// Typ obiektu renderowanego. 0- level, 1-pilka, 2- tekst, 3- Background, 4- Textura2D						
								
uniform sampler2D u_Texture;    // The input texture. 
uniform sampler2D u_DestGroundMask; // Tekstura maska
uniform vec4 u_Color;    		// Kolor obiektu

varying vec3 v_light;
varying vec3 v_Position;		// Pozcyja fragmentu.
varying vec3 v_Normal;         	// Interpolated normal for this fragment.
varying vec2 v_TexCoordinate;   // Interpolated texture coordinate per fragment.
    
void main()                    		
{
	vec4 textureColor = texture2D(u_Texture, v_TexCoordinate);

	if(u_ObjType==1)
	{
		float h = v_Position[1] + 1.4;
		gl_FragColor = h * textureColor; 
	}else
	{
    	gl_FragColor = textureColor; 
	}
}